video.js

### Methods

#### inner registerPlugin(name, plugin) → {function}
`video.js`, `line 350`

  Register a Video.js plugin.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string | The name of the plugin to be registered. Must be a string and must not match an existing plugin or a method on the `Player` prototype.
  `plugin` | function | A sub-class of `Plugin` or a function for basic plugins.

  ##### Returns:

  function -

  For advanced plugins, a factory function for that plugin. For basic plugins, a wrapper function that initializes the plugin.

#### inner videojs(id, optionsopt, readyopt) → {Player}
`video.js`, `line 60`

  Doubles as the main function for users to create a player instance and also the main library object. The `videojs` function can be used to initialize or retrieve a player.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `id` | string | Element |  | Video element or video element ID
  `options` | Object | <optional> | Optional options object for config/settings
  `ready` | Component~ReadyCallback | <optional> | Optional ready callback

  ##### Returns:

  Player -

  A player instance